> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Testing

> Create and manage your Razorpay Customer Identifiers in test mode before you start making and receiving actual payments.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
</div>

You can create and manage your BQR code in test mode before you start receiving actual transactions.

## Test Payments

Test payments can be initiated towards any BQR code created in test mode, using the BharatQR test payment route.

### Request Parameters

`reference`
: `string` The unique identifier of the QR code that receives the test payment. Length should be 17. For example, `qr_4lsdkfldlteskf`.

`amount`
: `integer` Amount of the payment in Paise.

`method`
: `string` Payment method for the test payment. Can have the following values: `card` or `upi`.

```bash Test Payment theme={null}
curl -u <YOUR_KEY>:<YOUR_SECRET> \
   -X POST https://api.razorpay.com/v1/bharatqr/pay/test \
   -H "Content-Type: application/json" \
   -d '
    {
      "reference": "qr_4lsdkfldlteskf",
      "amount": 500,
      "method": "card"
    }'
```

This will trigger the same webhook notifications that a live payment made via BharatQR code would.
